curl --location -g --request GET 'https://api.stream.estate/searches' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api_key>'
{
"hydra:member": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"bedroomMin": 0,
"budgetMax": 0,
"budgetMin": 0,
"createdAt": "2019-08-24T14:15:22Z",
"endpointRecipient": "https://www.mycompany.com/webhook_match",
"eventEndpoint": "https://www.mycompany.com/webhook_updates",
"excludedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"excludedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"expressions": [],
"furnished": true,
"hidePropertyContact": true,
"includedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"includedDepartments": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"chefLieu": "string",
"departmentCode": "string",
"name": "string",
"nameClean": "string"
}
],
"includedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"landSurfaceMax": 0,
"landSurfaceMin": 0,
"lastAlertAt": "2019-08-24T14:15:22Z",
"lat": 48.864716,
"lon": 2.349014,
"notificationEnabled": false,
"notificationRecipient": "foo@bar.com",
"pricePerMeterMax": 0,
"pricePerMeterMin": 0,
"propertyTypes": [0, 1],
"publisherTypes": [0, 1],
"radius": 20,
"roomMin": 0,
"subscribedEvents": [
"ad.update.price"
],
"surfaceMax": 0,
"surfaceMin": 0,
"title": "string",
"token": "string",
"transactionType": 0,
"updatedAt": "2019-08-24T14:15:22Z",
"user": "string",
"withCoherentPrice": true,
"withVirtualTour": true
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "string",
"@type": "string",
"hydra:first": "string",
"hydra:last": "string",
"hydra:next": "string"
},
"hydra:search": {
"@type": "string",
"hydra:template": "string",
"hydra:variableRepresentation": "string",
"hydra:mapping": [
{
"@type": "string",
"variable": "string",
"property": "string",
"required": true
}
]
}
}
Searches
Searches
Returns a collection of your existing searches matching given criteria.
GET
/
searches
curl --location -g --request GET 'https://api.stream.estate/searches' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api_key>'
{
"hydra:member": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"bedroomMin": 0,
"budgetMax": 0,
"budgetMin": 0,
"createdAt": "2019-08-24T14:15:22Z",
"endpointRecipient": "https://www.mycompany.com/webhook_match",
"eventEndpoint": "https://www.mycompany.com/webhook_updates",
"excludedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"excludedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"expressions": [],
"furnished": true,
"hidePropertyContact": true,
"includedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"includedDepartments": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"chefLieu": "string",
"departmentCode": "string",
"name": "string",
"nameClean": "string"
}
],
"includedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"landSurfaceMax": 0,
"landSurfaceMin": 0,
"lastAlertAt": "2019-08-24T14:15:22Z",
"lat": 48.864716,
"lon": 2.349014,
"notificationEnabled": false,
"notificationRecipient": "foo@bar.com",
"pricePerMeterMax": 0,
"pricePerMeterMin": 0,
"propertyTypes": [0, 1],
"publisherTypes": [0, 1],
"radius": 20,
"roomMin": 0,
"subscribedEvents": [
"ad.update.price"
],
"surfaceMax": 0,
"surfaceMin": 0,
"title": "string",
"token": "string",
"transactionType": 0,
"updatedAt": "2019-08-24T14:15:22Z",
"user": "string",
"withCoherentPrice": true,
"withVirtualTour": true
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "string",
"@type": "string",
"hydra:first": "string",
"hydra:last": "string",
"hydra:next": "string"
},
"hydra:search": {
"@type": "string",
"hydra:template": "string",
"hydra:variableRepresentation": "string",
"hydra:mapping": [
{
"@type": "string",
"variable": "string",
"property": "string",
"required": true
}
]
}
}
Query parameters
boolean
Filter searches which have notifications enabled or not.
string
Order searches by title. Can be
asc or desc.integer
default:"1"
The collection page number.
string
Title of the created search.
curl --location -g --request GET 'https://api.stream.estate/searches' \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api_key>'
{
"hydra:member": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"bedroomMin": 0,
"budgetMax": 0,
"budgetMin": 0,
"createdAt": "2019-08-24T14:15:22Z",
"endpointRecipient": "https://www.mycompany.com/webhook_match",
"eventEndpoint": "https://www.mycompany.com/webhook_updates",
"excludedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"excludedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"expressions": [],
"furnished": true,
"hidePropertyContact": true,
"includedCities": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"article": "string",
"insee": "string",
"libelle": "string",
"name": "string",
"zipcode": "string"
}
],
"includedDepartments": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"chefLieu": "string",
"departmentCode": "string",
"name": "string",
"nameClean": "string"
}
],
"includedSiteCategories": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"name": "string"
}
],
"landSurfaceMax": 0,
"landSurfaceMin": 0,
"lastAlertAt": "2019-08-24T14:15:22Z",
"lat": 48.864716,
"lon": 2.349014,
"notificationEnabled": false,
"notificationRecipient": "foo@bar.com",
"pricePerMeterMax": 0,
"pricePerMeterMin": 0,
"propertyTypes": [0, 1],
"publisherTypes": [0, 1],
"radius": 20,
"roomMin": 0,
"subscribedEvents": [
"ad.update.price"
],
"surfaceMax": 0,
"surfaceMin": 0,
"title": "string",
"token": "string",
"transactionType": 0,
"updatedAt": "2019-08-24T14:15:22Z",
"user": "string",
"withCoherentPrice": true,
"withVirtualTour": true
}
],
"hydra:totalItems": 1,
"hydra:view": {
"@id": "string",
"@type": "string",
"hydra:first": "string",
"hydra:last": "string",
"hydra:next": "string"
},
"hydra:search": {
"@type": "string",
"hydra:template": "string",
"hydra:variableRepresentation": "string",
"hydra:mapping": [
{
"@type": "string",
"variable": "string",
"property": "string",
"required": true
}
]
}
}